Subject: Re: bug#8334: Segmentation fault in mark_object (in my patched version)

From: Lennart Borgman <[email-masked]>
Date: Thu, 24 Mar 2011 15:31:29 +0100

On Thu, Mar 24, 2011 at 10:24 AM, Juanma Barranquero <[email-masked]> wrote:
> On Thu, Mar 24, 2011 at 04:07, Juanma Barranquero <[email-masked]> wrote:
>
>> and I've been also experiencing
>> garbage-collection crashes in non-optimized gcc 4+ builds that seem to
>> be "cured" (or most likely, hidden) by that option.
>
> Disregard that last part, because -fno-strict-aliasing does not (or
> should not) have any influence in non-optimized builds. The behavior I
> see must necessarily have other causes. But still it worked for
> bug#8217, so I suggest you give it a try, if you're building
> optimized.

Thanks, but I never build optimized any more since that prevents
debugging on the C level.